Package org.apache.sling.models.spi

# Interface ValuePreparer

@ConsumerType public interface ValuePreparer
Optimization interface for Injectors which wish to avoid repeated accessing of some object based on the adaptable. If an Injector implements this interface, it must also be prepared to handle the case where ObjectUtils.NULL is passed as the adaptable.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Object`
`prepareValue(@NotNull Object adaptable)`
Prepare a value from the adaptable.

## Method Details

### prepareValue

@NotNull @NotNull Object prepareValue(@NotNull @NotNull Object adaptable)
Prepare a value from the adaptable.

Parameters:
  `adaptable` - the adaptable
Returns:
  a prepared value or ObjectUtils.NULL if a value is not preparable